e5946e8b4011463f93364ed3b3602eaa

gitLab API Token: jSAcbDQzMVG4K4CgrUYp

http://35.204.210.198:8080/project/superleague10X

pipeline {
    agent any 
    tools { 
        maven 'Maven_3.6.1' 
        jdk 'jdk11' 
    }
    stages {
        stage ('Initialize') {
            steps {
                sh '''
                    echo "PATH = ${PATH}"
                    echo "M2_HOME = ${M2_HOME}"
                ''' 
            }
        }
        stage('Build') { 
            steps {
                sh 'mvn -Dmaven.test.failure.ignore=true install' 
            }
            post {
                success {
                    junit 'target/surefire-reports/**/*.xml' 
                }
            }
        }
    }
}
